Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update a volume discount

Updates an existing volume discount.

PUT/volume_discounts/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired

ID of the volume discount to update.

Request body
requiredapplication/json
shop_idintegerrequired

ID of the shop to create the volume discount in

namestringrequired
discount_typestring

Discount type.

cumulative_modestring

Omit for non-cumulative

Allowed:within_productglobal
apply_on_tier_start_onlyboolean
tiersobject[]required
Show properties
Array of object
frominteger

Units in cart at which this tier starts applying

valueinteger

Discount value for this tier

Responses
200

Volume discount updated

_linksHalLinks
idinteger
namestring
discount_typestring
apply_modestring
repeating_tierboolean
tiersobject

Keyed by tier boundary — not an array.

cumulativeboolean
cumulative_modestring
available_forstring
created_atstring<date-time>
updated_atstring<date-time>
404

Volume discount not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/volume_discounts/30' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tiers": [
    {
      "from": 5,
      "value": 15
    }
  ]
}'
Response
{
  "id": 30,
  "tiers": {
    "5": 15
  },
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/volume_discounts/30"
    }
  }
}

Was this page helpful?